=== debian/control ===
Source: ros-indigo-sr-ronex-drivers
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-indigo-catkin, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-hardware, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-ronex-external-protocol, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs
Homepage: http://www.shadowrobot.com/products/ronex
Standards-Version: 3.9.2

Package: ros-indigo-sr-ronex-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-hardware, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-ronex-external-protocol, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs
Description: Package containing the driver for the RoNeX boards.
